#!/usr/bin/env python
# coding: utf-8


import numpy as np

from dataclasses import dataclass

from rdstar.utilities.logging import log_to_default


__all__ = [
    "ShapeSysInfoContainer",
]


logger = log_to_default(name=__name__)


# TODO: Implement / extend this and use it!


@dataclass(frozen=True)
class ShapeSysInfoContainer:
    principal_eigen_values: np.ndarray
    principal_eigen_vectors: np.ndarray
