import os

from rdstar.utilities import PathType
from rdstar.studies import low_level_cut_study


__all__ = [
    "get_config_base_path",
]

configs_dir_name = "configs"  # type: str


def get_config_base_path() -> PathType:
    low_level_cut_study_path = os.path.dirname(low_level_cut_study.__file__)
    assert os.path.isdir(low_level_cut_study_path), low_level_cut_study_path
    return os.path.join(low_level_cut_study_path, configs_dir_name)
