from setuptools import setup, find_packages

setup(
    name="RDStar",
    version="0.1.0",
    packages=find_packages(),
    url="https://gitlab.ekp.kit.edu/fmetzner/RDStar",
    license="",
    author="Felix Metzner",
    author_email="felix.metzner@kit.edu",
    description="Code for the R(D) and R(D*) measurements with basf2.",
    entry_points={
        "console_scripts": [
            "copy_files_from_remote=rdstar.offline_analysis.file_transfer:copy_files_from_remote",
        ]
    },
    package_data={
        "data/dstst_reweighting_data": ["*.json"],
        "mc_production/dec_files": ["*.dec"],
    },
)
